> ## Documentation Index
> Fetch the complete documentation index at: https://vida.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Save agent version

> Saves the selected account current staging or live configuration as a named version. Versions are stored under the live agent configuration.



## OpenAPI

````yaml post /api/v2/agent/{agentConfigId}/versions
openapi: 3.0.0
info:
  version: 2.0.0
  title: Vida API
  description: Vida API Documentation
servers:
  - url: https://api.vida.dev
    description: Vida Production
    variables:
      baseUrl:
        default: api.vida.dev
        description: Production API Root
security: []
tags:
  - name: Agents
  - name: Inbound Email
    description: Control which senders may create inbound email work for an Agent.
  - name: Features
    description: Inspect capabilities available within an account hierarchy.
  - name: Conversation Logs
    description: Query conversation activity and calculate account-level metrics.
  - name: Computer Agents
    description: Set up, configure, inspect, and manage Vida Computer Agents.
  - name: Computer Agent Sessions
    description: View and reset Computer Agent sessions.
  - name: Accounts
  - name: Agent Templates
    description: Create, manage, and apply reusable Agent configurations.
paths:
  /api/v2/agent/{agentConfigId}/versions:
    post:
      tags:
        - Agents
      summary: Save agent version
      description: >-
        Saves the selected account current staging or live configuration as a
        named version. Versions are stored under the live agent configuration.
      parameters:
        - name: agentConfigId
          in: path
          required: true
          schema:
            type: string
          description: Live agent configuration ID used for this account version history.
        - name: targetAccountId
          in: query
          description: Account whose configuration should be saved.
          required: true
          schema:
            type: integer
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - title
              properties:
                title:
                  type: string
                  example: Holiday-2025
                source:
                  type: string
                  enum:
                    - staging
                    - default
                  default: staging
      responses:
        '201':
          description: Snapshot stored
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: true
                  createdVersion:
                    type: object
                    properties:
                      title:
                        type: string
                        example: Holiday-2025
                      versionId:
                        type: integer
                        example: 1750195000123
      security:
        - apiKeyAuth: []
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: query
      name: token
      description: Vida API Token

````